{ pkgs, ... }: {

  home-manager.users.coded.programs.gpg.enable = true;
  home-manager.users.coded.home.packages = [
    pkgs.git-review
    pkgs.gh
  ];

  home-manager.users.coded.programs.git = {
    enable = true;
    extraConfig = {
      init.defaultbranch = "main";
      user = {
        email = "coded@clicks.codes";
        name = "Samuel Shuert";
      };
      pull.rebase = true;
      advice.skippedcherrypicks = false;
      gpg.sign = true;
      core = {
        repositoryformatversion = 0;
        filemode = true;
        bare = false;
        logallrefupdates = true;
      };
    };
  };
}
