{ pkgs, nix-vscode-extensions, ... }: {
  home-manager.users.coded.programs.vscode = {
    enable = true;
    enableUpdateCheck = false;
    userSettings = {
        "files.autoSave" = "afterDelay";
        "explorer.confirmDelete" = false;
        "workbench.iconTheme" = "helium-icon-theme";
        "workbench.colorTheme" = "One Dark Pro";
        "terminal.integrated.defaultProfile.linux" = "zsh";
        "workbench.startupEditor" = "none";
        "explorer.confirmDragAndDrop" = false;
        "typescript.updateImportsOnFileMove.enabled" = "always";
        "javascript.updateImportsOnFileMove.enabled" = "always";
        "terminal.integrated.enableMultiLinePasteWarning" = false;
    };
    extensions = with pkgs.vscode-extensions;
      [
        ms-vsliveshare.vsliveshare
        codezombiech.gitignore
        editorconfig.editorconfig
        zhuangtongfa.material-theme
        bbenoist.nix
      ] ++ pkgs.vscode-utils.extensionsFromVscodeMarketplace [{
        name = "helium-icon-theme";
        publisher = "helgardrichard";
        version = "1.0.0";
        sha256 = "sha256-uSApuTXQgvPiJpBL91d3mX35Sa2l2vLIAFpBo+cZ4h4=";
      }];
  };
}
